# Commitments

A commitment represents a minimum or maximum spend amount a customer is obligated to pay within a spend period, compared with customer's actual fees incurred in connection with customer's accounts and their use of applicable products. 
The Commitments API allows you to retrieve details of the commitments a customer has.


## List commitments for an account

 - [GET /commitments](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitments.md): Retrieves a paginated list of commitments for a commitment owner account.

## Retrieve a commitment

 - [GET /commitments/{commitmentKey}](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbykey.md): Retrieves the details of a specific commitment using its ID or number.

## List periods for a commitment

 - [GET /commitments/periods](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentperiods.md): Lists periods of the specified commitment. You can paginate the results using page and pageSize query parameters.

## Retrieve the balance for a commitment

 - [GET /commitments/{commitmentId}/balance](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbalance.md): Retrieves the balance amount for a specific commitment for current and past periods. Future periods are not covered.

Note: This API will not work for tenants that are configured to skip commitment evaluation in Zuora Billing, and calls to this API are rejected.

## List schedules for a commitment

 - [GET /commitments/{commitmentKey}/schedules](https://developer.zuora.com/v1-api-reference/api/commitments/listcommitmentschedules.md): Retrieves all the schedules for a specific commitment.

